Upgrade to Jetty 9.3 or newer

Post here your suggestions for new possible features in SmartFoxServer 2X.

Moderators: Lapo, Bax

m0rkeulv
Posts: 3
Joined: 21 Aug 2016, 14:13

Upgrade to Jetty 9.3 or newer

Postby m0rkeulv » 21 Aug 2016, 14:28

I wish for Smartfox to upgrade to Jetty 9.3 newer.

While Smartfox can be configured to run java 1.8 extentions the embedded Jetty server does not seem to happy about it.
Now there might be some workarounds for the older jetty and for all i know it might be able to execute java 8 bytecode, but in my case it keeps causing problems. i want to quick and easy make prototypes with spring-boot but this old jetty version fighting me all the way.

My main issue is that jetty don't seem to like annotations very well, and i have googled an tried a few workarounds
(upgrading jettys ASM lib to v5 amongst others) but nothing seems to solve my problem, so my current solution is to run a separate application server which is less than optimal.

Code: Select all

java.lang.RuntimeException: Error scanning entry javassist/util/proxy/SerializedProxy.class from jar ...
8190437182313700222.dir/webapp/WEB-INF/lib/javassist-3.20.0-GA.jar
        at org.eclipse.jetty.annotations.AnnotationParser.parseJar(AnnotationParser.java:910)
        at org.eclipse.jetty.annotations.AnnotationParser.parse(AnnotationParser.java:828)
        at org.eclipse.jetty.annotations.AnnotationConfiguration$ParserTask.call(AnnotationConfiguration.java:159)
        at org.eclipse.jetty.annotations.AnnotationConfiguration$1.run(AnnotationConfiguration.java:531)
        at org.eclipse.jetty.util.thread.QueuedThreadPool.runJob(QueuedThreadPool.java:607)
        at org.eclipse.jetty.util.thread.QueuedThreadPool$3.run(QueuedThreadPool.java:536)
        at java.lang.Thread.run(Thread.java:745)
Caused by: java.lang.RuntimeException
        at org.objectweb.asm.MethodVisitor.visitParameter(Unknown Source)
        at org.objectweb.asm.ClassReader.b(Unknown Source)
        at org.objectweb.asm.ClassReader.accept(Unknown Source)
        at org.objectweb.asm.ClassReader.accept(Unknown Source)
        at org.eclipse.jetty.annotations.AnnotationParser.scanClass(AnnotationParser.java:971)
        at org.eclipse.jetty.annotations.AnnotationParser.parseJarEntry(AnnotationParser.java:953)
        at org.eclipse.jetty.annotations.AnnotationParser.parseJar(AnnotationParser.java:906)
        ... 6 more
User avatar
Bax
Site Admin
Posts: 4332
Joined: 29 Mar 2005, 09:50
Location: Italy
Contact:

Re: Upgrade to Jetty 9.3 or newer

Postby Bax » 22 Aug 2016, 07:33

Upgrade to Jetty 9.3 is in progress. This will be part of the next release of SFS2X, due in a some weeks.
Paolo Bax
The SmartFoxServer Team
User avatar
Lapo
Site Admin
Posts: 19676
Joined: 21 Mar 2005, 09:50
Location: Italy

Re: Upgrade to Jetty 9.3 or newer

Postby Lapo » 22 Aug 2016, 16:32

Hi,
those errors don't seem to be indicating any specific issues going on with Java 8. Jetty 9.1 (currently used in SFS2X) does support Java 8.
Lapo
--
gotoAndPlay()
...addicted to flash games
m0rkeulv
Posts: 3
Joined: 21 Aug 2016, 14:13

Re: Upgrade to Jetty 9.3 or newer

Postby m0rkeulv » 30 Oct 2016, 01:08

Any news on the Jetty 9.3 upgrade ?

@Lapo
My errors where java 8 - jetty 9.1 related.
I could compile and run my war files just fine on Smartfoxs jetty 9.1 server if i compiled them as java 1.7 bytecode. but if i switched to 1.8 bytecode as target Jettys internal Annotation parser refused to cooperate. Normal Smartfox extensions works with java 1.8 but i have to stick with 1.7 as a lot of my code is shared between webservices running on Jetty and normal extensions running in Smartfox.
User avatar
coolboy714cp
Posts: 310
Joined: 06 Feb 2010, 02:45
Contact:

Re: Upgrade to Jetty 9.3 or newer

Postby coolboy714cp » 31 Oct 2016, 05:08

For the record, I also am waiting on the Jetty upgrade. You're not the only one.

Return to “2X Features Wish List”

Who is online

Users browsing this forum: No registered users and 1 guest